Subject: [AAA-WG]: RE: Comments: draft-belinchon-aaa-diameter-mm-app-01.txt

From: "Jayshree Bharatia" <[email-masked]>
Date: Thu, 10 Jul 2003 12:18:49 -0500

Hello Miguel,

Please see my reply inline.

Thanks,
Jayshree

> -----Original Message-----
> From: Miguel A. Garcia [mailto:[email-masked]] 
> Sent: Thursday, July 10, 2003 10:55 AM
> To: Bharatia, Jayshree [RICH1:2H13:EXCH]
> Cc: [email-masked]'; [email-masked]'
> Subject: Re: Comments: draft-belinchon-aaa-diameter-mm-app-01.txt
> 
> 
> 
> 
> Jayshree Bharatia wrote:
> > 
> > 
> 
> > [JB] As I have indicated in my earlier email, we may not 
> need both the
> > functionality (mentioned as points a and b in your reply) 
> at all of the 
> > time. So it will be good if you can replace MUST to SHOULD in the 
> > following quote of section 5.2.
> > 
> > "When the authorization procedure succeeds, the Diameter server
> > constructs a User-Authorization-Answer (UAA) message that 
> MUST include 
> > either the address of the SIP server already assigned to 
> the user or the 
> > capabilities needed by the SIP server (Diameter client) to select 
> > another SIP server for the user."
> > 
> 
> Jayshree, I am trying to find out the applicability of your 
> comment. It 
> would be good to understand the scenario you are thinking of. 
> As far as I 
> understand, you are saying that there may be a third scenario 
> where the SIP 
> proxy is just interesting in the User Authorization but not in doing 
> further routing. Is this correct?
> 
> If it is, I think it is a dangerous scenario, because the SIP 
> proxy will 
> not be able to determine whether the request has to be routed 
> to another 
> proxy or not. So if you have a scenario in mind, it would be nice to 
> understanding.
> 
[JB] My scenario is simple where only authorization of the user is required.
The problem I see in the current document is that you are tying the
authorization with the routing. And my suggestion is provide an option so
that if someone wants to use UAR/UAA just for the authorization it will
still be possible.

> Further more, your proposal to downgrade the "MUST" to a 
> "SHOULD" does not 
> help, because from what I understand from your comments, what 
> you want is 
> to deploy SIP servers that do no have the server allocation 
> functionality. 
> If that is the case, writing normative text to the Diameter 
> server will not 
> help.

[JB] Why do you think that writing normative text to the Diameter server
will not help? You are still using the AAA server for authorizing the user.
> 
> /Miguel
> 
> 
> -- 
> Miguel-Angel Garcia                     Oy LM Ericsson AB
>                                          Jorvas, Finland
> mailto:[email-masked]     Phone:  +358 9 299 3553
> mailto:[email-masked]        Mobile: +358 40 5140002
> 
> 
> 
> 
> 
>

---

From: "Miguel A. Garcia" <[email-masked]>
Date: Fri, 11 Jul 2003 10:10:01 +0300

Inline as well.

Jayshree Bharatia wrote:
> [JB] My scenario is simple where only authorization of the user is 
> required. The problem I see in the current document is that you are 
> tying the authorization with the routing. And my suggestion is provide 
> an option so that if someone wants to use UAR/UAA just for the 
> authorization it will still be possible.

<miguel>
So the scenario you are thinking is just a SIP server that will require an 
authorization to provide a service (e.g., initiate a session) to a 
particular user. And that SIP server is no longer intersted on further 
routing, perhaps because the SIP server is configured as an outbound proxy.

That sounds like a real scenario that we need to take care of. I suspect 
that the SIP server should have an indication (perhaps in an AVP) 
requesting routing information to the Diameter server or not.

</miguel>

> will not help? You are still using the AAA server for authorizing the user.

<miguel>
Yes, for authorizing the user it is ok. But the SIP server should be able 
to either request routing information or not. I mean, it does no help if 
the Diameter server includes routing information and the SIP server does 
not care or viceversa. That's the reason why I think that just downgrading 
the MUST to a SHOULD in the Diameter server normative text will not help.

But I am convinced of a new AVP that the SIP server will use to request 
routing information. If requested, the Diameter server SHOULD return MUST 
return either the address of another SIP server or service capabilities 
selection data.

</miguel>